Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://qubesync.com/api/v1/connections \ --header 'Authorization: Basic <encoded-value>'
{ "data": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "app_id": "550e8400-e29b-41d4-a716-446655440000", "username": "550e8400-e29b-41d4-a716-446655440001", "last_connected_at": "2023-01-01T12:00:00Z", "name": "My Customer Inc.", "company_file": "My Company File.QBW", "qbxml_version": "14.0", "quickbooks_product_name": "QuickBooks Pro 2021", "type": "standard", "redirect_url": "https://myapp.com/quickbooks-setup-callback", "links": { "self": "/api/v1/connections/123e4567-e89b-12d3-a456-426614174000", "ui": "/app/connections/123e4567-e89b-12d3-a456-426614174000", "onboarding": "https://qubesync.com/onboarding/123e4567-e89b-12d3-a456-426614174000" } } ] }
Returns a list of all connections for the authenticated application
Use your app's API_KEY as the username, and leave the password blank
A list of connections
Show child attributes